org.opencv.core

## Class DMatch

- java.lang.Object
- - org.opencv.core.DMatch

-     public class DMatch
      extends Object

  Structure for matching: query descriptor index, train descriptor index, train image index and distance between descriptors.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `distance`
    `int` | `imgIdx` Train image index.
    `int` | `queryIdx` Query descriptor index.
    `int` | `trainIdx` Train descriptor index.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DMatch()`
    `DMatch(int _queryIdx, int _trainIdx, float _distance)`
    `DMatch(int _queryIdx, int _trainIdx, int _imgIdx, float _distance)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `lessThan(DMatch it)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### queryIdx

          public int queryIdx

      Query descriptor index.

    - #### trainIdx

          public int trainIdx

      Train descriptor index.

    - #### imgIdx

          public int imgIdx

      Train image index.

    - #### distance

          public float distance

  - ### Constructor Detail

    - #### DMatch

          public DMatch()

    - #### DMatch

          public DMatch(int _queryIdx,
                        int _trainIdx,
                        float _distance)

    - #### DMatch

          public DMatch(int _queryIdx,
                        int _trainIdx,
                        int _imgIdx,
                        float _distance)

  - ### Method Detail

    - #### lessThan

          public boolean lessThan(DMatch it)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8